petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexStratifyMigrationSF

Add partition overlap to a distributed non-overlapping DM.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexStratifyMigrationSF(DM dm, PetscSF sf, PetscSF *migrationSF)

### Input Parameter

| dm | - The DM Many br
| sf | - A star forest with non-ordered leaves, usually defining a DM point migration Many br

### Output Parameter

migrationSF -A star forest with added leaf indirection that ensures the resulting DM is stratified Many br

Many br

### See Also

DMPlexPartitionLabelCreateSF(), DMPlexDistribute(), DMPlexDistributeOverlap()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages